#!/bin/sh

echo -ne "Content-type: text/plain\r\n"
echo -ne "\r\n" # end of HTTP header


#Store camera parameters:
videoin_text=$(confclient -p 9 -g videoin_c0_text| sed 's/videoin_c0_text=//g') 
videoin_print=$(confclient -p 9 -g videoin_c0_imprinttimestamp| sed 's/videoin_c0_imprinttimestamp=//g')


#Get device model query
lens_device_model=$(/usr/bin/wget -qO- "http://127.0.0.1/cgi-bin/admin/lensctrl.cgi?channel=0&send_cmdpkg=81090002FF,10")
#Get device version query
lens_device_version=$(/usr/bin/wget -qO- "http://127.0.0.1/cgi-bin/admin/lensctrl.cgi?channel=0&send_cmdpkg=81090037FF,8")




/usr/bin/logger -p info "Focus test - begins"

#Get initial focus before tests
init_focus=$(/usr/bin/wget -qO- "http://127.0.0.1/cgi-bin/camctrl/camctrl.cgi?getfocus")
confclient -p 9 -s videoin_c0_text="Initial $init_focus" &> /dev/null
#echo "Initial $init_focus"
sleep 1
confclient -p 9 -s videoin_c0_imprinttimestamp=1 &> /dev/null
/usr/bin/wget -O ../www/img/initial_image.jpg 'http://127.0.0.1/cgi-bin/viewer/video.jpg?resolution=1280x720'
sleep 3
 

#Start focusing far
focus_far=$(/usr/bin/wget -qO- "http://127.0.0.1/cgi-bin/camctrl/camctrl.cgi?getfocus")
confclient -p 9 -s videoin_c0_text="Far $focus_far" &> /dev/null
#echo "Far $focus_far"
sleep 1
confclient -p 9 -s videoin_c0_imprinttimestamp=1 &> /dev/null
/usr/bin/wget "http://127.0.0.1/cgi-bin/camctrl/camctrl.cgi?focusing=far"
sleep 1
/usr/bin/wget "http://127.0.0.1/cgi-bin/camctrl/camctrl.cgi?focusing=stop"
/usr/bin/wget -O ../www/img/far_image.jpg 'http://127.0.0.1/cgi-bin/viewer/video.jpg?resolution=1280x720'
sleep 3

#Start focusing near
focus_near=$(/usr/bin/wget -qO- "http://127.0.0.1/cgi-bin/camctrl/camctrl.cgi?getfocus")
confclient -p 9 -s videoin_c0_text="Near $focus_near" &> /dev/null
#echo "Near $focus_near"

sleep 1
confclient -p 9 -s videoin_c0_imprinttimestamp=1 &> /dev/null
/usr/bin/wget "http://127.0.0.1/cgi-bin/camctrl/camctrl.cgi?focusing=near"
sleep 1
/usr/bin/wget "http://127.0.0.1/cgi-bin/camctrl/camctrl.cgi?focusing=stop"
/usr/bin/wget -O ../www/img/near_image.jpg 'http://127.0.0.1/cgi-bin/viewer/video.jpg?resolution=1280x720'
sleep 3

#Set back parameters
confclient -p 9 -s videoin_c0_text=$videoin_text &> /dev/null
confclient -p 9 -s videoin_c0_imprinttimestamp=$videoin_print &> /dev/null
sleep 1

x="<br/>"

echo -e "Beginning Focus Test:" "<br/>"
echo -e "====================Device model query====================""<br/>"
echo -e $lens_device_model $x
echo -e "===================Device version query===================""<br/>"
echo -e $lens_device_version  $x
echo -e "=====================Focus parameters=====================""<br/>"
echo -e "Initial $init_focus" $x
echo -e "Far $focus_far" $x
echo -e "Near $focus_near" $x
echo -e "===================Device version query===================""<br/>"
echo -e "=======================TEST EDNING========================""<br/>"

/usr/bin/logger -p info "Focus test - ends"

#Store data in flash
tar zcf focus_images.tar.gz ../www/img
cp focus_images.tar.gz ../www/files
rm focus_images.tar.gz

